Bug 968359 - FTBFS: self check failures
Summary: FTBFS: self check failures
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-SystemPerl
Version: 24
Hardware: ppc64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2013-05-29 14:19 UTC by Karsten Hopp
Modified: 2017-07-26 09:00 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-26 09:00:56 UTC


Attachments (Terms of Use)
build log (21.99 KB, text/plain)
2013-05-29 14:19 UTC, Karsten Hopp
no flags Details

Description Karsten Hopp 2013-05-29 14:19:33 UTC
Created attachment 754419 [details]
build log

Description of problem:
t/20_parser.t    (Wstat: 65280 Tests: 2 Failed: 0)
  Non-zero exit status: 255
  Parse errors: Bad plan.  You planned 3 tests but ran 2.
t/60_spp_pre.t   (Wstat: 65280 Tests: 1 Failed: 0)
  Non-zero exit status: 255
  Parse errors: Bad plan.  You planned 6 tests but ran 1.
t/62_spp_inline.t (Wstat: 65280 Tests: 1 Failed: 0)
  Non-zero exit status: 255
  Parse errors: Bad plan.  You planned 2 tests but ran 1.
Files=19, Tests=160,  3 wallclock secs ( 0.11 usr  0.03 sys +  3.17 cusr  0.29 csys =  3.60 CPU)
Result: FAIL
Failed 3/19 test programs. 0/160 subtests failed.
make: *** [test_dynamic] Error 255

Version-Release number of selected component (if applicable):
perl-SystemPerl-1.336-7.fc19

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f19 perl-SystemPerl-1.336-7.fc19.src.rpm
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora End Of Life 2015-01-09 18:15:21 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Karsten Hopp 2015-01-12 10:13:49 UTC
perl-SystemPerl-1.336-12.fc22 still doesn't build

Comment 3 Jaroslav Reznik 2015-03-03 14:57:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora Admin XMLRPC Client 2015-10-07 19:44:28 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Admin XMLRPC Client 2015-10-08 07:33:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Filipe Rosset 2016-11-28 02:33:08 UTC
Hi, 
looks like this package is not available on ppc64 and ppc64le archs... Can you please take a look?
Thanks.

https://kojipkgs.fedoraproject.org//work/tasks/849/16650849/mock_output.log

http://koji.fedoraproject.org/koji/taskinfo?taskID=16650847

Comment 7 Filipe Rosset 2016-11-28 03:01:28 UTC
I did a rebuilt for rawhide, let's see how it will behave.

http://koji.fedoraproject.org/koji/taskinfo?taskID=16650999


Looks like the original issue "FTBFS: self check failures" is also fixed, can someone make sure it works on s390x? (at least it's working on primary archs)

Comment 8 Dan Horák 2016-11-28 08:30:48 UTC
Something must have changed (perl-Verilog-Perl is my guess) in the rawhide buildroot in the recent day causing perl-SystemPerl not to fail any more. s390x is also OK = http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2412801

Comment 9 Fedora End Of Life 2017-07-25 18:32:54 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Petr Pisar 2017-07-26 09:00:56 UTC
I don't know when and what exactly changed, but Fedora 26 is fine.


Note You need to log in before you can comment on or make changes to this bug.